body{
  background-color: rgb(192, 46, 236);
}

.principal{
  margin-top: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.colunas{
  display: flex;
  flex-direction: row;
}

#labirinto{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  width: 900px;
}

#jogador{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 40px;
  height: 40px;
  background: url('moon1.png') no-repeat;
  background-position: center;
  animation: animaJogador 2s infinite;
}
@keyframes animaJogador{
  from {background-color:#B28BF0;}
  to {background-color: #E0D5F2;}
}

.final{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  animation: animaFinal 0.3s infinite;
}
@keyframes animaFinal{
  from {background-color: #8212C7}
  to {background-color: #D11339;}
  from {border: 1px solid #8212C7}
  to {border: 1px solid #D11339;;}
}
.paredes{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border: 1px solid rgb(84, 31, 119);
  background-color: rgb(84, 31, 119);
}
.caminho{
  background-color: #E0D5F2;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border: 1px solid #E0D5F2;
}

.saida {
  background-color: #8D16A1;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border: 1px solid #8D16A1;
}

.paragrafo{
text-align: center;
font-size: 2rem;
animation: animacao 2s infinite;
text-transform: uppercase;
font-weight: bolder;
text-shadow: 5px 3px rgb(219, 16, 158);
}
@keyframes animacao {
  from {font-size: 2rem;}
  to {font-size: 3rem;}
  from{background-color: ;}
  to{background-color:;}
}
